fcgiwrap-1.1.0-9.20181108git99c942c.fc28.i686.rpm


Advertisement

Description

fcgiwrap - Simple FastCGI wrapper for CGI scripts

Property Value
Distribution Fedora 28
Repository Fedora Updates i386
Package name fcgiwrap
Package version 1.1.0
Package release 9.20181108git99c942c.fc28
Package architecture i686
Package type rpm
Installed size 25.44 KB
Download size 25.50 KB
Official Mirror download-ib01.fedoraproject.org
This package provides a simple FastCGI wrapper for CGI scripts with/
following features:
- very lightweight (84KB of private memory per instance)
- fixes broken CR/LF in headers
- handles environment in a sane way (CGI scripts get HTTP-related environment
vars from FastCGI parameters and inherit all the others from
environment of fcgiwrap )
- no configuration, so you can run several sites off the same
fcgiwrap pool
- passes CGI std error output to std error stream of cgiwrap or FastCGI
- support systemd socket activation, launcher program like spawn-fcgi
is no longer required on systemd-enabled distributions

Alternatives

Package Version Architecture Repository
fcgiwrap-1.1.0-9.20181108git99c942c.fc28.x86_64.rpm 1.1.0 x86_64 Fedora Updates
fcgiwrap - - -

Requires

Name Value
libc.so.6(GLIBC_2.15) -
libfcgi.so.0 -
libsystemd.so.0 -
libsystemd.so.0(LIBSYSTEMD_209) -
rtld(GNU_HASH) -
systemd -

Provides

Name Value
config(fcgiwrap) = 1.1.0-9.20181108git99c942c.fc28
fcgiwrap = 1.1.0-9.20181108git99c942c.fc28
fcgiwrap(x86-32) = 1.1.0-9.20181108git99c942c.fc28

Download

Type URL
Binary Package fcgiwrap-1.1.0-9.20181108git99c942c.fc28.i686.rpm
Source Package fcgiwrap-1.1.0-9.20181108git99c942c.fc28.src.rpm

Install Howto

Install fcgiwrap rpm package:

# dnf install fcgiwrap

Files

Path
/etc/sysconfig/fcgiwrap
/usr/lib/.build-id/
/usr/lib/.build-id/9c/17b81017bdd7b8ea6b196186de5de92edd9ef9
/usr/lib/systemd/system/fcgiwrap@.service
/usr/lib/systemd/system/fcgiwrap@.socket
/usr/sbin/fcgiwrap
/usr/share/doc/fcgiwrap/README.SELinux
/usr/share/doc/fcgiwrap/README.rst
/usr/share/doc/fcgiwrap/SETUP
/usr/share/licenses/fcgiwrap/COPYING
/usr/share/man/man8/fcgiwrap.8.gz

Changelog

2018-12-14 - Andrew Bauer <zonexpertconsulting@outlook.com> - 1.1.0-9.20181108git99c942c
- fix typo in fcgiwrap socket file
2018-12-04 - Andrew Bauer <zonexpertconsulting@outlook.com> - 1.1.0-8.20181108git99c942c
- Modify socket file based on feedback in BZ 1655281
- Add README.SELinux
2018-11-08 - Andrew Bauer <zonexpertconsulting@outlook.com> - 1.1.0-7.20181108git99c942c
- Feedback from fedora package review
- Remove Group from unit file
- Set date to snapshot date, not commit date
2018-11-03 - Andrew Bauer <zonexpertconsulting@outlook.com> - 1.1.0-6.20150530git99c942c
- Supply our own systemd service, socket, and environment files
- Add Patch2 to fix kill parameter sequence
2017-08-30 - Juan Orti Alcaine <jorti@fedoraproject.org> - 1.1.0-5.20150530git99c942c
- Add license
- Use systemd_requires macro
- Update URL
- Add Patch1 to fix compilation with gcc 7
2016-11-09 - Juan Orti Alcaine <jorti@fedoraproject.org> - 1.1.0-4.20150530git99c942c
- Patch0 to rename pkg-config libsystemd-daemon to libsystemd
2016-02-04 - Juan Orti Alcaine <jorti@fedoraproject.org> - 1.1.0-3.20150530git99c942c
- Use %make_build macro
2015-05-30 - Juan Orti Alcaine <jorti@fedoraproject.org> - 1.1.0-2.20150530git99c942c
- Update to commit 99c942c
2013-02-08 - Hiroaki Nakamura <hnakamur@gmail.com> - 1.1.0-1
- new upstream release.
2013-01-11 - Hiroaki Nakamura <hnakamur@gmail.com> - 1.0.3.20120908-1
- Change version to increase monotonously.

See Also

Package Description
fcitx-qt5-1.2.3-4.fc28.i686.rpm Fcitx IM module for Qt5
fcitx-qt5-devel-1.2.3-4.fc28.i686.rpm Development files for fcitx-qt5
fedfind-4.2.0-1.fc28.noarch.rpm Fedora compose and image finder
fedmod-0.6.1-1.fc28.noarch.rpm Utilities for generating & maintaining modulemd files
fedora-arm-installer-2.4-1.fc28.noarch.rpm Writes binary image files to any specified block device
fedora-cert-0.6.0.2-3.fc28.noarch.rpm Fedora certificate tool and python library
fedora-gpg-keys-28-6.noarch.rpm Fedora RPM keys
fedora-obsolete-packages-28-6.noarch.rpm A package to obsolete retired packages
fedora-packager-0.6.0.2-3.fc28.noarch.rpm Tools for setting up a fedora maintainer environment
fedora-release-28-6.noarch.rpm Fedora release files
fedora-release-atomichost-28-6.noarch.rpm Base package for Fedora Atomic-specific default configurations
fedora-release-cloud-28-6.noarch.rpm Base package for Fedora Cloud-specific default configurations
fedora-release-server-28-6.noarch.rpm Base package for Fedora Server-specific default configurations
fedora-release-workstation-28-6.noarch.rpm Base package for Fedora Workstation-specific default configurations
fedora-repo-zdicts-1812.1-1.fc28.noarch.rpm Zstd dictionaries for Fedora repository metadata
Advertisement
Advertisement